# ChartLabelStyle Class Reference

List of all members.

## Public Member Functions

| __construct ()
| setType (BaseGoogleChartLabelStyleType $type)
| getType ()
| setColor (Color $color)
| getColor ()
| setDataSetIndex ($index)
| getDataSetIndex ()
| setSize ($size)
| getSize ()
| setDataPoint ($value)
| getDataPoint ()
| toString ()

## Static Public Member Functions

static | create ()

## Private Attributes

| $type = null
| $color = null
| $dataSetIndex = null
| $size = null
| $dataPoint = null

## Detailed Description

Definition at line 15 of file ChartLabelStyle.class.php.

## Constructor & Destructor Documentation

ChartLabelStyle::__construct | ( |  | ) |

Definition at line 31 of file ChartLabelStyle.class.php.

References create().

Here is the call graph for this function:

## Member Function Documentation

static ChartLabelStyle::create | ( |  | ) | `[static]`

Returns:
  ChartLabelStyle

Definition at line 26 of file ChartLabelStyle.class.php.

Referenced by __construct().

ChartLabelStyle::getColor | ( |  | ) |

Returns:
  Color

Definition at line 70 of file ChartLabelStyle.class.php.

ChartLabelStyle::getDataPoint | ( |  | ) |

Definition at line 110 of file ChartLabelStyle.class.php.

ChartLabelStyle::getDataSetIndex | ( |  | ) |

Definition at line 84 of file ChartLabelStyle.class.php.

ChartLabelStyle::getSize | ( |  | ) |

Definition at line 98 of file ChartLabelStyle.class.php.

ChartLabelStyle::getType | ( |  | ) |

Returns:
  BaseGoogleChartLabelStyleType

Definition at line 52 of file ChartLabelStyle.class.php.

ChartLabelStyle::setColor | ( | Color $ | color | ) |

Returns:
  ChartLabelStyle

Definition at line 60 of file ChartLabelStyle.class.php.

ChartLabelStyle::setDataPoint | ( | $ | value | ) |

Definition at line 103 of file ChartLabelStyle.class.php.

ChartLabelStyle::setDataSetIndex | ( | $ | index | ) |

Definition at line 75 of file ChartLabelStyle.class.php.

References Assert::isInteger().

Here is the call graph for this function:

ChartLabelStyle::setSize | ( | $ | size | ) |

Definition at line 89 of file ChartLabelStyle.class.php.

References $size, and Assert::isPositiveInteger().

Here is the call graph for this function:

ChartLabelStyle::setType | ( | BaseGoogleChartLabelStyleType $ | type | ) |

Returns:
  ChartLabelStyle

Definition at line 42 of file ChartLabelStyle.class.php.

ChartLabelStyle::toString | ( |  | ) |

Definition at line 115 of file ChartLabelStyle.class.php.

References Assert::isNotNull().

Here is the call graph for this function:

## Member Data Documentation

ChartLabelStyle::$color = null`[private]`

Definition at line 18 of file ChartLabelStyle.class.php.

ChartLabelStyle::$dataPoint = null`[private]`

Definition at line 21 of file ChartLabelStyle.class.php.

ChartLabelStyle::$dataSetIndex = null`[private]`

Definition at line 19 of file ChartLabelStyle.class.php.

ChartLabelStyle::$size = null`[private]`

Definition at line 20 of file ChartLabelStyle.class.php.

Referenced by setSize().

ChartLabelStyle::$type = null`[private]`

Definition at line 17 of file ChartLabelStyle.class.php.

The documentation for this class was generated from the following file:

- main/Charts/Google/ChartLabelStyle.class.php